package svc

import (
	"github.com/zeromicro/go-zero/rest"
	"github.com/zeromicro/go-zero/zrpc"
	_ "github.com/zeromicro/zero-contrib/zrpc/registry/nacos"
	"rs/cmd/api/internal/config"
	"rs/cmd/api/internal/middleware"
	"rs/cmd/api/internal/types"
	"rs/rpc/transferClient"
)

type ServiceContext struct {
	*types.BaseServiceContext
	SignMiddleware rest.Middleware
}

func NewServiceContext(c config.Config) *ServiceContext {
	client := transferClient.NewTransfer(zrpc.MustNewClient(zrpc.RpcClientConf{
		Endpoints: c.Nacos.Endpoints,
	}))

	base := types.BaseServiceContext{
		Config:      c,
		TransferRpc: client,
	}
	return &ServiceContext{
		BaseServiceContext: &base,
		SignMiddleware:     middleware.NewSignMiddleware(&c).Handle,
	}

}
